{
  lib,
  pkgs,
  ...
}: {
  home-manager.users.jade = {
    config,
    pkgs,
    ...
  }: let
    xmobarGhc = pkgs.haskellPackages.ghcWithPackages (pkgs: with pkgs; [xmobar]);
  in {
    home.packages = [xmobarGhc pkgs.xmonadctl];
    programs.xmobar = {
      enable = true;
    };
    home.file."xmobar.hs" = {
      source = ../../haskell/xmobar/xmobar.hs;
      target = ".config/xmobar/xmobar.hs";
      onChange = ''
        export PATH=${lib.makeBinPath [xmobarGhc]}:$PATH
        ${pkgs.xmobar}/bin/xmobar --recompile
        ${pkgs.haskellPackages.xmonad}/bin/xmonad --restart
      '';
    };
    xsession.windowManager.xmonad = {
      enable = true;
      enableContribAndExtras = true;
      config = ../../haskell/xmonad/xmonad.hs;
    };
    home.file.wallpaper = {
      target = "Pictures/wallpaper.jpg";
      source = ../../other/wallpaper.jpg;
      onChange = ''
        feh --bg-fill ~/Pictures/wallpaper.jpg;
      '';
    };
  };
}
